> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/bitcoin-gold-btg/btg_signrawtransactionwithkey.md).

# signrawtransactionwithkey - Bitcoin Gold

Example code for the signrawtransactionwithkey json-rpc method. Сomplete guide on how to use signrawtransactionwithkey json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`hexstring` - string, required

The transaction hex string

`privkeys` - json array, required

The base58-encoded private keys for signing

`prevtxs` - json array, optional

The previous dependent transaction outputs

`sighashtype` - string, optional, default=ALL

The signature hash type. Must be one of:

ALL

NONE

SINGLE

ALL|ANYONECANPAY

NONE|ANYONECANPAY

SINGLE|ANYONECANPAY

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{"jsonrpc": "2.0",
"method": "signrawtransactionwithkey",
"params": ["hexstring", "privkeys", null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "error": null,
    "id": "getblock.io",
    "result": null
}
```
